summaryrefslogtreecommitdiff
path: root/regress
diff options
context:
space:
mode:
authorDarren Tucker <dtucker@cvs.openbsd.org>2010-01-11 02:53:45 +0000
committerDarren Tucker <dtucker@cvs.openbsd.org>2010-01-11 02:53:45 +0000
commitc5489c66bf04086e7ab3cef366aa30fc35124b91 (patch)
tree5ea191f24875b718ce8df4669b1280750b79f6b6 /regress
parentbb4d2dd6531def91bae42be4ea86b2650f6405ee (diff)
regress test for stdio forwarding
Diffstat (limited to 'regress')
-rw-r--r--regress/usr.bin/ssh/forwarding.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/regress/usr.bin/ssh/forwarding.sh b/regress/usr.bin/ssh/forwarding.sh
index 38c311d5c8c..adcd100f23b 100644
--- a/regress/usr.bin/ssh/forwarding.sh
+++ b/regress/usr.bin/ssh/forwarding.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: forwarding.sh,v 1.6 2006/07/11 18:51:21 markus Exp $
+# $OpenBSD: forwarding.sh,v 1.7 2010/01/11 02:53:44 dtucker Exp $
# Placed in the Public Domain.
tid="local and remote forwarding"
@@ -92,3 +92,13 @@ for p in 1 2; do
fi
sleep 10
done
+
+for p in 2; do
+ trace "stdio forwarding proto $p"
+ cmd="${SSH} -$p -F $OBJ/ssh_config"
+ $cmd -o "ProxyCommand $cmd -q -W localhost:$PORT somehost" \
+ somehost true
+ if [ $? != 0 ]; then
+ fail "stdio forwarding proto $p"
+ fi
+done